org.apache.felix.ipojo.extender.internal.queue

## Class AbstractQueueService

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.AbstractService
  - - org.apache.felix.ipojo.extender.internal.queue.AbstractQueueService

All Implemented Interfaces:
  Lifecycle, QueueNotifier, QueueService

Direct Known Subclasses:
  ExecutorQueueService, SynchronousQueueService

    public abstract class AbstractQueueService
    extends AbstractService
    implements QueueService, QueueNotifier

User: guillaume Date: 01/10/13 Time: 14:41

### Field Summary

Fields
`protected java.util.List<QueueListener>` `m_listeners` Store QueueListeners.

### Fields inherited from class org.apache.felix.ipojo.extender.internal.AbstractService

`m_bundleContext`

### Fields inherited from interface org.apache.felix.ipojo.extender.queue.QueueService

`ASYNCHRONOUS_QUEUE_MODE, GLOABL_QUEUE_SCOPE, PREFERENCE_QUEUE_MODE, QUEUE_MODE_PROPERTY, QUEUE_SCOPE_PROPERTY, SYNCHRONOUS_QUEUE_MODE`

### Constructor Summary

Constructors
`protected` `AbstractQueueService(org.osgi.framework.BundleContext bundleContext, java.lang.Class<?> type)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addQueueListener(QueueListener listener)` Add a `QueueListener` that will be notified on events relative to this `QueueService`.
`void` `fireEnlistedJobInfo(JobInfo info)`
`void` `fireExecutedJobInfo(JobInfo info, java.lang.Object result)`
`void` `fireFailedJobInfo(JobInfo info, java.lang.Throwable throwable)`
`void` `fireStartedJobInfo(JobInfo info)`
`void` `removeQueueListener(QueueListener listener)` Remove a `QueueListener` from this `QueueService`.

### Methods inherited from class org.apache.felix.ipojo.extender.internal.AbstractService

`getBundleContext, getRegistration, getServiceProperties, isRegistered, registerService, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.felix.ipojo.extender.queue.QueueService

`getCurrents, getFinished, getWaiters, getWaitersInfo, submit, submit, submit`

### Field Detail

#### m_listeners

    protected final java.util.List<QueueListener> m_listeners

Store QueueListeners.

### Constructor Detail

#### AbstractQueueService

    protected AbstractQueueService(org.osgi.framework.BundleContext bundleContext,
                                   java.lang.Class<?> type)

Constructor.

Parameters:
  `bundleContext` - the bundle context
  `type` - the specification

### Method Detail

#### addQueueListener

    public void addQueueListener(QueueListener listener)

Description copied from interface: `QueueService`
Add a `QueueListener` that will be notified on events relative to this `QueueService`.

Specified by:
  `addQueueListener` in interface `QueueService`
Parameters:
  `listener` - added listener

#### removeQueueListener

    public void removeQueueListener(QueueListener listener)

Description copied from interface: `QueueService`
Remove a `QueueListener` from this `QueueService`.

Specified by:
  `removeQueueListener` in interface `QueueService`
Parameters:
  `listener` - removed listener

#### fireEnlistedJobInfo

    public void fireEnlistedJobInfo(JobInfo info)

Specified by:
  `fireEnlistedJobInfo` in interface `QueueNotifier`

#### fireStartedJobInfo

    public void fireStartedJobInfo(JobInfo info)

Specified by:
  `fireStartedJobInfo` in interface `QueueNotifier`

#### fireExecutedJobInfo

    public void fireExecutedJobInfo(JobInfo info,
                                    java.lang.Object result)

Specified by:
  `fireExecutedJobInfo` in interface `QueueNotifier`

#### fireFailedJobInfo

    public void fireFailedJobInfo(JobInfo info,
                                  java.lang.Throwable throwable)

Specified by:
  `fireFailedJobInfo` in interface `QueueNotifier`